Distribution settings
Manage automatic tax distribution settings for your tokens.
All endpoints on this page require JWT authentication and the caller must be the token creator.
GET /distribution/:tokenId/settings
Get distribution settings for a token.
Path parameters
tokenId(string) — internal TaxSplit token id (uuid)
Response (200 OK)
{
"rewardToken": "SOL",
"distributionModel": "proportional",
"minimumHoldingRequirement": "1000000",
"percentageToSellPerDistribution": 25,
"distributionEnabled": true,
"distributionInterval": "15m",
"burnPercent": 10,
"developerFeePercent": 30,
"developerWallet": "DevWalletAddress...",
"telegramGroupId": "-1001234567890"
}PATCH /distribution/:tokenId/settings
Update distribution settings for a token.
Path parameters
tokenId(string) — internal TaxSplit token id (uuid)
Request body (all fields optional)
Validation rules
distributionInterval:5m,10m,15m,30m,1h,6h,12h,24hburnPercent:0–100developerFeePercent:0–100developerWallet: valid Solana address (32–44 characters)
Related
Last updated